> This page is for Itential Platform Cloud.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Update a form

PUT https://example.itential.io/json-forms/forms/{id}
Content-Type: application/json

Updates a previously created JSON form, based on a supplied document ID and an object of fields to update.

Reference: https://docs-test.itntl.com/itential-cloud/api-reference/json-forms/update-form

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `id` (string, required) — The ID of the form.

### Body (application/json)

This endpoint expects an object.

- `options` (json-forms_formDocument_form, optional)

## Response

### 200

A response object containing the request status and a message

- `status` (enum, optional)
  - Allowed values: `success`, `failure`
- `message` (string, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### json-forms_formDocument_form

- `created` (string, required)
- `createdBy` (string, required)
- `lastUpdated` (string, required)
- `lastUpdatedBy` (string, required)
- `name` (string, required)
- `description` (string, required, nullable)
- `struct` (JsonFormsFormDocumentFormStruct, required)
- `schema` (JsonFormsFormDocumentFormSchema, required)
- `uiSchema` (JsonFormsFormDocumentFormUiSchema, required)
- `validationSchema` (JsonFormsFormDocumentFormValidationSchema, required)
- `bindingSchema` (JsonFormsFormDocumentFormBindingSchema, required)
- `version` (string, required)
- `_id` (string, optional)
- `tags` (list of JsonFormsFormDocumentFormTagsItems, optional)
- `id` (string, optional)
- `namespace` (JsonFormsFormDocumentFormNamespace, optional, nullable)

### JsonFormsFormDocumentFormStruct

- `type` (string, required)
- `items` (list of JsonFormsFormDocumentFormStructItemsItems, required)
- `nodeId` (string, optional)
- `projectId` (string, optional)

### JsonFormsFormDocumentFormSchema

- `type` (string, required)
- `title` (string, required)
- `_id` (string, optional)
- `uniqueItems` (boolean, optional)
- `minItems` (double, optional)
- `maxItems` (double, optional)
- `description` (string, optional)
- `required` (list of string, optional)
- `readOnly` (boolean, optional)
- `options` (JsonFormsFormDocumentFormSchemaOptions, optional)
- `properties` (JsonFormsFormDocumentFormSchema, optional)
- `items` (JsonFormsFormDocumentFormSchemaItems, optional)
- `anyOf` (list of JsonFormsFormDocumentFormSchemaItems, optional)
- `oneOf` (list of JsonFormsFormDocumentFormSchemaOneOfItems, optional)
- `allOf` (list of JsonFormsFormDocumentFormSchemaItems, optional)

### JsonFormsFormDocumentFormUiSchema

### JsonFormsFormDocumentFormValidationSchema

### JsonFormsFormDocumentFormBindingSchema

### JsonFormsFormDocumentFormTagsItems

### JsonFormsFormDocumentFormNamespace

- `type` (any, optional)
- `_id` (string, optional)
- `name` (string, optional)
- `accessControl` (JsonFormsFormDocumentFormNamespaceAccessControl, optional)

### JsonFormsFormDocumentFormStructItemsItems

### JsonFormsFormDocumentFormSchemaOptions

### JsonFormsFormDocumentFormSchemaItems

### JsonFormsFormDocumentFormSchemaOneOfItems

### JsonFormsFormDocumentFormNamespaceAccessControl

- `read` (list of string, optional)
- `execute` (list of string, optional)
- `write` (list of string, optional)
- `manage` (list of string, optional)

### JsonFormsFormDocumentFormStructItemsItems0

- `nodeId` (string, required)
- `type` (string, required)
- `title` (string, required)
- `items` (list of JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItems, required)
- `required` (JsonFormsFormDocumentFormStructItemsItemsOneOf0Required, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf0Options, optional)
- `description` (string, optional)
- `helper` (string, optional)
- `collapsed` (boolean, optional)
- `readOnly` (boolean, optional)
- `schemaOption` (boolean, optional)
- `combinationType` (string, optional)
- `widget` (string, optional)
- `uniqueItems` (boolean, optional)
- `minItems` (double, optional)
- `maxItems` (double, optional)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf0CustomKey, optional)

### JsonFormsFormDocumentFormStructItemsItems1

- `nodeId` (string, required)
- `type` ("boolean", required)
- `title` (string, required)
- `description` (string, required)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf1CustomKey, optional)
- `required` (boolean, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf1Options, optional)
- `helper` (string, optional)
- `default` (boolean, optional)
- `enum` (list of JsonFormsFormDocumentFormStructItemsItemsOneOf1EnumItems, optional)
- `readOnly` (boolean, optional)
- `widget` (string, optional)

### JsonFormsFormDocumentFormStructItemsItems2

- `nodeId` (string, required)
- `type` ("number", required)
- `title` (string, required)
- `description` (string, required)
- `placeholder` (string, required)
- `required` (boolean, required)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf2CustomKey, optional)
- `widget` (string, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf2Options, optional)
- `helper` (string, optional)
- `validation` (JsonFormsFormDocumentFormStructItemsItemsOneOf2Validation, optional)
- `readOnly` (boolean, optional)
- `minimum` (double, optional, nullable)
- `maximum` (double, optional, nullable)
- `default` (double, optional, nullable)
- `disabled` (boolean, optional)

### JsonFormsFormDocumentFormStructItemsItems3

- `nodeId` (string, required)
- `type` ("string", required)
- `title` (string, required)
- `description` (string, required)
- `placeholder` (string, required)
- `required` (boolean, required)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf3CustomKey, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf3Options, optional)
- `helper` (string, optional)
- `pattern` (string, optional)
- `validation` (JsonFormsFormDocumentFormStructItemsItemsOneOf3Validation, optional)
- `readOnly` (boolean, optional)
- `binding` (boolean, optional)
- `rel` (string, optional)
- `targetPointer` (string, optional)
- `format` (string, optional)
- `minLength` (integer, optional)
- `maxLength` (integer, optional)
- `default` (string, optional)
- `disabled` (boolean, optional)

### JsonFormsFormDocumentFormStructItemsItems4

- `nodeId` (string, required)
- `type` ("string", required)
- `title` (string, required)
- `description` (string, required)
- `placeholder` (string, required)
- `required` (boolean, required)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf4CustomKey, optional)
- `widget` (string, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf4Options, optional)
- `helper` (string, optional)
- `pattern` (string, optional)
- `validation` (JsonFormsFormDocumentFormStructItemsItemsOneOf4Validation, optional)
- `readOnly` (boolean, optional)
- `format` (string, optional)
- `minLength` (integer, optional)
- `maxLength` (integer, optional)
- `default` (string, optional)
- `disabled` (boolean, optional)

### JsonFormsFormDocumentFormStructItemsItems5

- `nodeId` (string, required)
- `type` (string, required)
- `title` (string, required)
- `description` (string, required)
- `required` (boolean, required)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf5CustomKey, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf5Options, optional)
- `helper` (string, optional)
- `placeholder` (string, optional)
- `enum` (list of JsonFormsFormDocumentFormStructItemsItemsOneOf5EnumItems, optional, default: [])
- `enumNames` (list of JsonFormsFormDocumentFormStructItemsItemsOneOf5EnumNamesItems, optional, default: [])
- `binding` (boolean, optional, default: false)
- `pattern` (string, optional)
- `rel` (string, optional)
- `targetPointer` (string, optional)
- `method` (string, optional, nullable)
- `body` (JsonFormsFormDocumentFormStructItemsItemsOneOf5Body, optional)
- `sourcePointer` (string, optional, nullable)
- `sourceKeyPointer` (string, optional, nullable)
- `labelKeyPointer` (string, optional, nullable)
- `base` (string, optional, nullable)
- `href` (string, optional, nullable)
- `validation` (JsonFormsFormDocumentFormStructItemsItemsOneOf5Validation, optional)
- `readOnly` (boolean, optional)
- `transformation` (JsonFormsFormDocumentFormStructItemsItemsOneOf5Transformation, optional, nullable)
- `disabled` (boolean, optional)
- `default` (JsonFormsFormDocumentFormStructItemsItemsOneOf5Default, optional)
- `widget` (string, optional)
- `radio` (boolean, optional)
- `inline` (boolean, optional)

### JsonFormsFormDocumentFormStructItemsItems6

- `nodeId` (string, required)
- `type` ("string", required)
- `title` (string, required)
- `description` (string, required)
- `helper` (string, optional)
- `required` (boolean, optional)
- `format` ("data-url", optional)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf6CustomKey, optional)

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItems

### JsonFormsFormDocumentFormStructItemsItemsOneOf0Required

### JsonFormsFormDocumentFormStructItemsItemsOneOf0Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf0CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf1CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf1Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf1EnumItems

- `id` (string, optional)
- `value` (boolean, optional)

### JsonFormsFormDocumentFormStructItemsItemsOneOf2CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf2Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf2Validation

### JsonFormsFormDocumentFormStructItemsItemsOneOf3CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf3Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf3Validation

### JsonFormsFormDocumentFormStructItemsItemsOneOf4CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf4Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf4Validation

### JsonFormsFormDocumentFormStructItemsItemsOneOf5CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf5Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf5EnumItems

### JsonFormsFormDocumentFormStructItemsItemsOneOf5EnumNamesItems

### JsonFormsFormDocumentFormStructItemsItemsOneOf5Body

### JsonFormsFormDocumentFormStructItemsItemsOneOf5Validation

### JsonFormsFormDocumentFormStructItemsItemsOneOf5Transformation

### JsonFormsFormDocumentFormStructItemsItemsOneOf5Default

### JsonFormsFormDocumentFormStructItemsItemsOneOf6CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItems1

- `nodeId` (string, required)
- `type` ("boolean", required)
- `title` (string, required)
- `description` (string, required)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf1CustomKey, optional)
- `required` (boolean, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf1Options, optional)
- `helper` (string, optional)
- `default` (boolean, optional)
- `enum` (list of JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf1EnumItems, optional)
- `readOnly` (boolean, optional)
- `widget` (string, optional)

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItems2

- `nodeId` (string, required)
- `type` ("number", required)
- `title` (string, required)
- `description` (string, required)
- `placeholder` (string, required)
- `required` (boolean, required)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf2CustomKey, optional)
- `widget` (string, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf2Options, optional)
- `helper` (string, optional)
- `validation` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf2Validation, optional)
- `readOnly` (boolean, optional)
- `minimum` (double, optional, nullable)
- `maximum` (double, optional, nullable)
- `default` (double, optional, nullable)
- `disabled` (boolean, optional)

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItems3

- `nodeId` (string, required)
- `type` ("string", required)
- `title` (string, required)
- `description` (string, required)
- `placeholder` (string, required)
- `required` (boolean, required)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf3CustomKey, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf3Options, optional)
- `helper` (string, optional)
- `pattern` (string, optional)
- `validation` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf3Validation, optional)
- `readOnly` (boolean, optional)
- `binding` (boolean, optional)
- `rel` (string, optional)
- `targetPointer` (string, optional)
- `format` (string, optional)
- `minLength` (integer, optional)
- `maxLength` (integer, optional)
- `default` (string, optional)
- `disabled` (boolean, optional)

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItems4

- `nodeId` (string, required)
- `type` ("string", required)
- `title` (string, required)
- `description` (string, required)
- `placeholder` (string, required)
- `required` (boolean, required)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf4CustomKey, optional)
- `widget` (string, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf4Options, optional)
- `helper` (string, optional)
- `pattern` (string, optional)
- `validation` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf4Validation, optional)
- `readOnly` (boolean, optional)
- `format` (string, optional)
- `minLength` (integer, optional)
- `maxLength` (integer, optional)
- `default` (string, optional)
- `disabled` (boolean, optional)

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItems5

- `nodeId` (string, required)
- `type` (string, required)
- `title` (string, required)
- `description` (string, required)
- `required` (boolean, required)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5CustomKey, optional)
- `options` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5Options, optional)
- `helper` (string, optional)
- `placeholder` (string, optional)
- `enum` (list of JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5EnumItems, optional, default: [])
- `enumNames` (list of JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5EnumNamesItems, optional, default: [])
- `binding` (boolean, optional, default: false)
- `pattern` (string, optional)
- `rel` (string, optional)
- `targetPointer` (string, optional)
- `method` (string, optional, nullable)
- `body` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5Body, optional)
- `sourcePointer` (string, optional, nullable)
- `sourceKeyPointer` (string, optional, nullable)
- `labelKeyPointer` (string, optional, nullable)
- `base` (string, optional, nullable)
- `href` (string, optional, nullable)
- `validation` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5Validation, optional)
- `readOnly` (boolean, optional)
- `transformation` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5Transformation, optional, nullable)
- `disabled` (boolean, optional)
- `default` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5Default, optional)
- `widget` (string, optional)
- `radio` (boolean, optional)
- `inline` (boolean, optional)

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItems6

- `nodeId` (string, required)
- `type` ("string", required)
- `title` (string, required)
- `description` (string, required)
- `helper` (string, optional)
- `required` (boolean, optional)
- `format` ("data-url", optional)
- `customKey` (JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf6CustomKey, optional)

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf1CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf1Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf1EnumItems

- `id` (string, optional)
- `value` (boolean, optional)

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf2CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf2Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf2Validation

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf3CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf3Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf3Validation

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf4CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf4Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf4Validation

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5CustomKey

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5Options

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5EnumItems

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5EnumNamesItems

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5Body

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5Validation

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5Transformation

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf5Default

### JsonFormsFormDocumentFormStructItemsItemsOneOf0ItemsItemsOneOf6CustomKey

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "status": "success",
  "message": "Form updated"
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/json-forms/forms/5cb5252a1bbc5a00def564c1"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/json-forms/forms/5cb5252a1bbc5a00def564c1';
const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/json-forms/forms/5cb5252a1bbc5a00def564c1"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/json-forms/forms/5cb5252a1bbc5a00def564c1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://example.itential.io/json-forms/forms/5cb5252a1bbc5a00def564c1")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://example.itential.io/json-forms/forms/5cb5252a1bbc5a00def564c1', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/json-forms/forms/5cb5252a1bbc5a00def564c1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/json-forms/forms/5cb5252a1bbc5a00def564c1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```